APIReferenceSources
Update a signal source
Changes name, config, enabled flag, or schedule.
Changes name, config, enabled flag, or schedule.
Authorization
bearerAuth AuthorizationBearer <token>
A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Path Parameters
sourceId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "44444444-4444-4444-8444-444444444444", "organization_id": "33333333-3333-4333-8333-333333333333", "provider_key": "overheid", "name": "KOOP Officiële Publicaties", "config": { "property1": null, "property2": null }, "enabled": true, "schedule": "string", "country_code": "NL", "language": "nl", "created_at": "2026-09-15T12:00:00.000Z", "updated_at": "2026-09-15T12:00:00.000Z"}